import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import styled, { css } from 'styled-components';

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7;
var centerCss = css(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: center;\n"])));
var SideMenuWrapper = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  width: ", ";\n  height: 100vh;\n  position: fixed;\n  top: 0px;\n  left: 0px;\n  display: flex;\n  flex-direction: column;\n  z-index: 1300;\n"])), function (_ref) {
  var width = _ref.width;
  return width;
});
var SideMenuHeaderWrapper = styled.a(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  min-height: 80px;\n  background: ", ";\n  ", "\n\n  justify-content: center;\n  border-bottom: 1px solid ", ";\n"])), function (_ref2) {
  var theme = _ref2.theme;
  return theme.colourMaterialPrimary;
}, centerCss, function (_ref3) {
  var theme = _ref3.theme;
  return theme.colourMaterialBorder;
});
var SideMenuBodyWrapper = styled.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  height: 75vh;\n  overflow: auto;\n  background: ", ";\n  ", "\n  justify-content: space-between;\n  flex-direction: column;\n  row-gap: 10px;\n  padding-top: 20px;\n  padding-bottom: 20px;\n  -ms-overflow-style: none;\n  scrollbar-width: none;\n\n  ::-webkit-scrollbar {\n    display: none;\n  }\n"])), function (_ref4) {
  var theme = _ref4.theme;
  return theme.colourMaterialPrimary;
}, centerCss);
var SideMenuFooterWrapper = styled.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  background: ", ";\n  ", "\n  justify-content: end;\n  flex-direction: column;\n  row-gap: 10px;\n  padding: 15px;\n  border-top: 1px solid ", ";\n  svg {\n    :hover {\n      cursor: pointer;\n    }\n  }\n\n  div {\n    :hover {\n      cursor: pointer;\n    }\n  }\n"])), function (_ref5) {
  var theme = _ref5.theme;
  return theme.colourMaterialPrimary;
}, centerCss, function (_ref6) {
  var theme = _ref6.theme;
  return theme.colourMaterialBorder;
});
var SideMenuIconsContainer = styled.a(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  width: 38px;\n  height: 37px;\n  border-radius: 8px;\n  background: ", ";\n  ", "\n  justify-content: center;\n\n  :hover {\n    background: ", ";\n    cursor: pointer;\n\n    .SideMenuIconsContainer {\n      background: transparent !important;\n    }\n  }\n\n  :active {\n    background: ", ";\n    svg {\n      path {\n        fill: ", ";\n      }\n    }\n  }\n"])), function (_ref7) {
  var theme = _ref7.theme;
  return theme.colourMaterialSecondary;
}, centerCss, function (_ref8) {
  var theme = _ref8.theme;
  return theme.colourMaterialSecondaryHover;
}, function (_ref9) {
  var theme = _ref9.theme;
  return theme.colourBrandPrimary;
}, function (_ref10) {
  var theme = _ref10.theme;
  return theme.colourTextReversePrimary;
});
var SidemenuIconsMainContainer = styled.div(_templateObject7 || (_templateObject7 = _taggedTemplateLiteral(["\n  position: relative;\n"])));

export { SideMenuBodyWrapper, SideMenuFooterWrapper, SideMenuHeaderWrapper, SideMenuIconsContainer, SideMenuWrapper, SidemenuIconsMainContainer };
//# sourceMappingURL=style.js.map
