import React__default from 'react';
import LabelIcon from '../../Icons/labelIcon/index.js';
import { LabelWrapper, LabelContentWrapper } from './style.js';
import theme from '../../../Globals/theme.js';
import { ThemeProvider } from 'styled-components';
import globalStyle from '../../../Globals/global-styles.js';
import CustomTooltip from '../../Tooltip/Tooltip/index.js';

var Label = function Label(_ref) {
  var label = _ref.label,
      info = _ref.info,
      isInfo = _ref.isInfo,
      infoPlace = _ref.infoPlace;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(LabelWrapper, null, /*#__PURE__*/React__default.createElement(LabelContentWrapper, null, label, isInfo && /*#__PURE__*/React__default.createElement(CustomTooltip, {
    title: info,
    placement: infoPlace
  }, /*#__PURE__*/React__default.createElement("div", null, /*#__PURE__*/React__default.createElement(LabelIcon, null))))));
};

export { Label as default };
//# sourceMappingURL=index.js.map
